"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Namespace;

var _react = _interopRequireWildcard(require("react"));

var _NamespaceContext = _interopRequireDefault(require("./NamespaceContext"));

function computePath(path, compose, namespace) {
  if (!compose) {
    return path;
  }

  return namespace && compose ? `${namespace}.${path}` : path;
}

function Namespace(props) {
  const {
    path,
    compose,
    children
  } = props;
  const namespace = (0, _react.useContext)(_NamespaceContext.default);
  const currentPath = computePath(path, compose, namespace);
  return _react.default.createElement(_NamespaceContext.default.Provider, {
    value: currentPath
  }, children);
}

Namespace.defaultProps = {
  path: undefined,
  compose: false
};
//# sourceMappingURL=Namespace.js.map