"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Translate;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = require("react");

var _NamespaceContext = _interopRequireDefault(require("./NamespaceContext"));

var _TranslateContext = _interopRequireDefault(require("./TranslateContext"));

function Translate(props) {
  const {
    path,
    description,
    defaultValue,
    params,
    children
  } = props,
        rest = (0, _objectWithoutProperties2.default)(props, ["path", "description", "defaultValue", "params", "children"]);
  const namespace = (0, _react.useContext)(_NamespaceContext.default);
  const {
    translate
  } = (0, _react.useContext)(_TranslateContext.default);
  const finallPath = namespace ? `${namespace}.${path}` : path;
  const updatedDefaultValue = !defaultValue && typeof children === 'string' ? children : defaultValue;
  const updatedParams = params || rest;
  const items = translate.get(finallPath, updatedParams, updatedDefaultValue, true);

  if (!items || !items.length) {
    return '';
  } else if (items.length === 1) {
    return items[0];
  } // add keys for more items


  items.map((item, index) => {
    const isReactElement = (0, _react.isValidElement)(item);

    if (isReactElement) {
      return (0, _react.cloneElement)(item, {
        key: index
      });
    }

    return item;
  });
}

Translate.defaultProps = {
  defaultValue: undefined,
  description: undefined,
  params: undefined,
  children: undefined
};
//# sourceMappingURL=Translate.js.map