"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = LocaleProvider;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireWildcard(require("react"));

var _translateMaker = _interopRequireDefault(require("translate-maker"));

var _TranslateContext = _interopRequireDefault(require("./TranslateContext"));

var _children = _interopRequireDefault(require("./filters/children"));

function LocaleProvider(props) {
  var defaultTranslate = props.translate,
      locale = props.locale,
      namespace = props.namespace,
      children = props.children,
      controlled = props.controlled,
      rest = (0, _objectWithoutPropertiesLoose2.default)(props, ["translate", "locale", "namespace", "children", "controlled"]);

  var _useState = (0, _react.useState)(defaultTranslate || new _translateMaker.default(rest)),
      translate = _useState[0];

  var _useState2 = (0, _react.useState)({
    translate: translate
  }),
      context = _useState2[0],
      setContext = _useState2[1];

  if (!translate.hasFilter('children')) {
    translate.addFilter('children', _children.default);
  }

  (0, _react.useEffect)(function () {
    function updateContext() {
      setContext({
        translate: translate
      });
    }

    translate.on('locale', updateContext);
    translate.on('changed', updateContext);
    return function () {
      translate.removeListener('locale', updateContext);
      translate.removeListener('changed', updateContext);
    };
  }, [translate]);
  (0, _react.useEffect)(function () {
    if (controlled && locale) {
      translate.setLocale(locale, namespace);
    }
  }, [controlled, locale, namespace]);
  return _react.default.createElement(_TranslateContext.default.Provider, {
    value: context
  }, children);
}

LocaleProvider.defaultProps = {
  controlled: true
  /*
  locale: undefined,
  namespace: undefined,
  locales: undefined,
  cache: undefined,
  data: undefined,
  adapter: undefined,
  dotNotation: undefined,
  mode: undefined,
  references: undefined,
  variables: undefined,
  combinations: undefined,
  filters: undefined,
  translate: undefined,
  */

};
//# sourceMappingURL=LocaleProvider.js.map