"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

exports.__esModule = true;
exports.default = Namespace;

var _react = _interopRequireWildcard(require("react"));

var _NamespaceContext = _interopRequireDefault(require("./NamespaceContext"));

function computePath(path, compose, namespace) {
  if (!compose) {
    return path;
  }

  return namespace && compose ? namespace + "." + path : path;
}

function Namespace(props) {
  var path = props.path,
      compose = props.compose,
      children = props.children;
  var namespace = (0, _react.useContext)(_NamespaceContext.default);
  var currentPath = computePath(path, compose, namespace);
  return _react.default.createElement(_NamespaceContext.default.Provider, {
    value: currentPath
  }, children);
}

Namespace.defaultProps = {
  path: undefined,
  compose: false
};
//# sourceMappingURL=Namespace.js.map