"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = Translate;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = require("react");

var _NamespaceContext = _interopRequireDefault(require("./NamespaceContext"));

var _TranslateContext = _interopRequireDefault(require("./TranslateContext"));

function Translate(props) {
  var path = props.path,
      description = props.description,
      defaultValue = props.defaultValue,
      params = props.params,
      children = props.children,
      rest = (0, _objectWithoutPropertiesLoose2.default)(props, ["path", "description", "defaultValue", "params", "children"]);
  var namespace = (0, _react.useContext)(_NamespaceContext.default);

  var _useContext = (0, _react.useContext)(_TranslateContext.default),
      translate = _useContext.translate;

  var finallPath = namespace ? namespace + "." + path : path;
  var updatedDefaultValue = !defaultValue && typeof children === 'string' ? children : defaultValue;
  var updatedParams = params || rest;
  var items = translate.get(finallPath, updatedParams, updatedDefaultValue, true);

  if (!items || !items.length) {
    return '';
  } else if (items.length === 1) {
    return items[0];
  } // add keys for more items


  items.map(function (item, index) {
    var isReactElement = (0, _react.isValidElement)(item);

    if (isReactElement) {
      return (0, _react.cloneElement)(item, {
        key: index
      });
    }

    return item;
  });
}

Translate.defaultProps = {
  defaultValue: undefined,
  description: undefined,
  params: undefined,
  children: undefined
};
//# sourceMappingURL=Translate.js.map